#include <iostream.h>
#include <vga.h>
#include <vgagl.h>
#include "graphics.h"
#include <string.h>

// Globale Definitionen

int status=0;
int mode;
GraphicsContext *screen_p;
GraphicsContext *screen_v;

// Implementation

int gfx_setmode(int modus)
{
   vga_init();
   mode=modus;
}

int gfx_on()
{
   vga_setmode(mode);
   gl_setcontextvga(mode);
   screen_p = gl_allocatecontext();
   gl_getcontext(screen_p);

   gl_setcontextvgavirtual(mode);
   screen_v = gl_allocatecontext();
   gl_getcontext(screen_v);
      
   gl_setcontext(screen_v);
}

int gfx_update()
{
   gl_copyscreen(screen_p);
   gl_clearscreen(0);
}

int gfx_off()
{

   vga_setmode(TEXT);
}

int gfx_color(int c, int r, int g, int b)
{
   gl_setpalettecolor(c, r, g, b);
}

int gfx_line(int x, int y, int ax, int ay, int c)
{
   gl_line(x,y,ax,ay,c);
   return (0);
}



