// Wrapper fr Grafikfunktionen

#include <vga.h>
#include <vgagl.h>

/* Prototypen */

// gfx_setmode - setzt den Grafikmodus
int gfx_setmode(int modus);		
// gfx_on - schaltet in den Grafikmodus um
int gfx_on();				
// gfx_off - schaltet vom Grafikmodus zurck in den Textmodus
int gfx_off();				
// gfx_color - definiert eine Zeichenfarbe
int gfx_color(int c, int r, int g, int b);
// gfx_line - zeichnet eine Linie 	
int gfx_line(int x, int y, int ax, int ay, int c);
// gfx_update - aktualisiert den Grafikbildschirm
int gfx_update();
// gfx_pixel - zeichnet einen Punkt
int gfx_pixel(int x, int y, int mode);
// gfx_write - gibt Text auf dem Grafikbildschirm aus
int gfx_write(int x, int y, char *text, int mode);

